"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const endpoints = require("./endpoints");
const node_fetch_1 = require("node-fetch");
async function pullAnimation(id) {
    return (await node_fetch_1.default(endpoints.asset(id)).catch(() => {
        throw new Error(`Cannot pull animation ${id}`);
    })).blob();
}
exports.pullAnimation = pullAnimation;
async function publishAnimation(state, title, description, data, groupId) {
    return (await node_fetch_1.default(endpoints.publish(title, description, groupId), {
        body: data,
        method: 'POST',
        headers: Object.assign({}, state.headers, { 'User-Agent': 'RobloxStudio/WinInet', 'Accept': 'text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8' })
    }).catch((e) => {
        throw new Error(`Publish of animation "${title}" failed: ${e.toString()}`);
    })).text();
}
exports.publishAnimation = publishAnimation;
//# sourceMappingURL=animation.js.map